MIT_SCHEME_EXE = @MIT_SCHEME_EXE@
scmlibdir = @MIT_SCHEME_LIBDIR@
-scmlib_cairodir = $(scmlibdir)cairo
+scmlib_subdir = $(scmlibdir)cairo
scmlib_LTLIBRARIES = cairo-shim.la
scmlib_DATA = cairo-types.bin cairo-const.bin
sources = cairo.scm cairo-graphics.scm
cdecls = cairo.cdecl
-scmlib_cairo_DATA = $(sources)
-scmlib_cairo_DATA += cairo.bin cairo.bci cairo.com
-scmlib_cairo_DATA += cairo-graphics.bin cairo-graphics.bci cairo-graphics.com
-scmlib_cairo_DATA += make.scm cairo-@MIT_SCHEME_OS_SUFFIX@.pkd
+binaries = cairo.bci cairo.com
+binaries += cairo-graphics.bci cairo-graphics.com
-info_TEXINFOS = mit-scheme-cairo.texi
+scmlib_sub_DATA = $(sources)
+scmlib_sub_DATA += $(binaries)
+scmlib_sub_DATA += make.scm cairo-@MIT_SCHEME_OS_SUFFIX@.pkd
+
+info_TEXINFOS = mit-scheme-pucked-cairo.texi
AM_MAKEINFOHTMLFLAGS = --no-split
-# Set these to the defaults used by Scheme.
-infodir = $(datarootdir)/info
-htmldir = $(libdir)/mit-scheme-pucked/doc
-dvidir = $(libdir)/mit-scheme-pucked/doc
-pdfdir = $(libdir)/mit-scheme-pucked/doc
+# The shared system documentation directory...
+docdir = $(datarootdir)/doc/mit-scheme-pucked
+# ...with separate html and pdf subdirectories.
+htmldir = $(datarootdir)/doc/mit-scheme-pucked/html
+pdfdir = $(datarootdir)/doc/mit-scheme-pucked/pdf
+# ...and dvi and ps subdirectories?
+dvidir = $(datarootdir)/doc/mit-scheme-pucked/dvi
+psdir = $(datarootdir)/doc/mit-scheme-pucked/ps
AM_CPPFLAGS = -I@MIT_SCHEME_INCLUDEDIR@
AM_CFLAGS = `pkg-config --cflags pangocairo`
cairo-const.scm: cairo-const
./cairo-const
-cairo.bin: stamp-scheme
cairo.bci: stamp-scheme
cairo.com: stamp-scheme
-cairo-graphics.bin: stamp-scheme
cairo-graphics.bci: stamp-scheme
cairo-graphics.com: stamp-scheme
cairo-@MIT_SCHEME_OS_SUFFIX@.pkd: stamp-scheme
EXTRA_DIST += $(sources) $(cdecls) compile.sh cairo.pkg
EXTRA_DIST += cairo-check.sh
-EXTRA_DIST += make.scm optiondb.scm check-doc.sh tags-fix.sh
+EXTRA_DIST += make.scm optiondb.scm check-doc.sh tags-fix.sh debian
install-data-hook:
- echo '(update-optiondb "$(DESTDIR)$(scmlibdir)")' \
- | $(MIT_SCHEME_EXE) --batch-mode
+ if [ -f "$(DESTDIR)$(scmlibdir)optiondb.scm" ]; then \
+ echo '(update-optiondb "$(DESTDIR)$(scmlibdir)")' \
+ | $(MIT_SCHEME_EXE) --batch-mode; fi
install-html: install-html-am
- echo '(update-html-index "$(DESTDIR)$(htmldir)/")' \
- | $(MIT_SCHEME_EXE) --batch-mode
+ if [ -f "$(DESTDIR)$(htmldir)/index.html" ]; then \
+ echo '(update-html-index "$(DESTDIR)$(htmldir)/")' \
+ | $(MIT_SCHEME_EXE) --batch-mode; fi
uninstall-hook:
- echo '(update-optiondb "$(DESTDIR)$(scmlibdir)")' \
- | $(MIT_SCHEME_EXE) --batch-mode
- [ -d "$(DESTDIR)$(scmlib_cairodir)" ] \
- && rmdir "$(DESTDIR)$(scmlib_cairodir)"
- [ -d "$(DESTDIR)$(htmldir)" ] \
- && ( echo '(update-html-index "$(DESTDIR)$(htmldir)/")' \
- | $(MIT_SCHEME_EXE) --batch-mode )
+ if [ -f "$(DESTDIR)$(scmlibdir)optiondb.scm" ]; then \
+ echo '(update-optiondb "$(DESTDIR)$(scmlibdir)")' \
+ | $(MIT_SCHEME_EXE) --batch-mode; fi
+ if [ -f "$(DESTDIR)$(htmldir)/index.html" ]; then \
+ echo '(update-html-index "$(DESTDIR)$(htmldir)/")' \
+ | $(MIT_SCHEME_EXE) --batch-mode; fi
+ if [ -d "$(DESTDIR)$(scmlib_subdir)" ]; then \
+ rmdir "$(DESTDIR)$(scmlib_subdir)"; fi
${MIT_SCHEME_EXE} --batch-mode <<\EOF
(let ((pkgset "cairo")
- (texi "mit-scheme-cairo.texi")
+ (texi "mit-scheme-pucked-cairo.texi")
(pkg '()))
;; Check that every binding exported to () or PKG has a
;; corresponding @deffn in TEXI.
--- /dev/null
+mit-scheme-pucked-cairo (0.5-1) experimental; urgency=low
+
+ * Initial Debianization.
+
+ -- Friar Puck <puck@birchwood-abbey.net> Sun, 12 Jun 2016 00:00:00 -0700
--- /dev/null
+Source: mit-scheme-pucked-cairo
+Section: lisp
+Priority: optional
+Maintainer: Friar Puck <puck@birchwood-abbey.net>
+Build-Depends: debhelper (>= 9), autotools-dev, libltdl-dev,
+ mit-scheme-pucked-pango (>= 0.1),
+ texinfo, texlive,
+ libcairo2-dev
+Standards-Version: 3.9.4
+Homepage: http://birchwood-abbey.net/~matt/Scheme/
+Vcs-Git: git://birchwood-abbey.net/~matt/mit-scheme.git
+Vcs-Browser: http://birchwood-abbey.net/gitweb/?p=mit-scheme.git;a=summary
+
+Package: mit-scheme-pucked-cairo
+Architecture: any
+Depends: mit-scheme-pucked-pango (>= 0.1), ${shlibs:Depends}, ${misc:Depends}
+Description: Cairo plugin for Friar Puck's MIT/GNU Scheme
+ This package provides mit-scheme-pucked with a dynamically loadable
+ wrapper of a small portion of the Cairo C API.
--- /dev/null
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: mit-scheme-pucked-cairo
+Source: http://birchwood-abbey.net/~matt/Scheme/
+
+Files: *
+Copyright: 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
+ 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
+ 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016
+ Massachusetts Institute of Technology
+License: GPL-2+
+ This package is a cairo plugin for Friar Puck's MIT/GNU Scheme.
+ .
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or (at
+ your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful, but
+ WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this package; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301,
+ USA.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
--- /dev/null
+Document: mit-scheme-pucked-cairo
+Title: Cairo User's Manual
+Author: Matt Birkholz
+Abstract: The Cairo plugin for Friar Puck's MIT/GNU Scheme wraps the
+ Cairo 2D graphics library library. This manual describes how much of
+ the C API is available.
+Section: Programming
+
+Format: HTML
+Index: /usr/share/doc/mit-scheme-pucked/html/mit-scheme-pucked-cairo.html
+Files: /usr/share/doc/mit-scheme-pucked/html/mit-scheme-pucked-cairo.html
+
+Format: PDF
+Files: /usr/share/doc/mit-scheme-pucked/pdf/mit-scheme-pucked-cairo.pdf.gz
--- /dev/null
+NEWS
+README
--- /dev/null
+#!/bin/sh
+
+set -e
+
+echo '(update-optiondb (system-library-directory-pathname))' \
+| mit-scheme-pucked --batch-mode
+echo '(update-html-index "@HTMLDIR@/")' \
+| mit-scheme-pucked --batch-mode
+
+exit 0
--- /dev/null
+#!/bin/sh
+
+set -e
+
+echo '(update-optiondb (system-library-directory-pathname))' \
+| mit-scheme-pucked --batch-mode
+echo '(update-html-index "@HTMLDIR@/")' \
+| mit-scheme-pucked --batch-mode
+
+exit 0
--- /dev/null
+#!/usr/bin/make -f
+
+export MIT_SCHEME_EXE=mit-scheme-pucked
+
+%:
+ dh $@
+
+override_dh_auto_install: debian/postinst debian/postrm
+ dh_auto_install -- install-html install-pdf
+
+debian/%: debian/%.in
+ sed 's|@HTMLDIR@|/usr/share/doc/mit-scheme-pucked/html|g' < $< > $@
--- /dev/null
+3.0 (quilt)
--- /dev/null
+version=3
+http://birchwood-abbey.net/~matt/Scheme/mit-scheme-pucked-gdbm-(.*)\.tar\.gz debian uupdate
\input texinfo @c -*-Texinfo-*-
@comment %**start of header
-@setfilename mit-scheme-cairo.info
-@set VERSION 0.5
+@setfilename mit-scheme-pucked-cairo.info
+@include version.texi
@settitle Cairo Plugin @value{VERSION}
@comment %**end of header
@dircategory Programming Languages
@direntry
-* MIT/GNU Scheme Cairo: (mit-scheme-cairo).
- Cairo vector graphics plugin.
+* MIT/GNU Scheme Pucked Cairo: (mit-scheme-pucked-cairo).
+ Cairo 2D vector graphics plugin.
@end direntry
@titlepage
-@title The MIT/GNU Scheme Cairo Plugin Manual
-@subtitle Schemely access (@value{VERSION}) to the GNOME toolkits
-@subtitle for MIT/GNU Scheme version 9.3
-@author by Matt Birkholz (@email{birkholz@@alum.mit.edu})
+@title Cairo User's Manual
+@author by Matt Birkholz
@page
@vskip 0pt plus 1filll
@insertcopying
@chapter Introduction
The Cairo system is a collection of Scheme data types and procedures
-providing a Schemely interface to the Cairo vector graphics library.
+providing a Schemely interface to the Cairo 2D vector graphics library.
Very little of the library's API has been wrapped --- just what is
listed herein. As one might expect of a ``Schemely'' interface, all
toolkit resources are protected from ``leaking'' by the garbage